Taliware Developer

Delete a contract

Deletes a contract by its ID. Only possible while it is not deployed and has no assets.

Full URL
deletehttps://developer.taliware.com/api/v1/cl2c/contract/{id}
DELETE
/cl2c/contract/{id}
x-api-key<token>

In: header

Path Parameters

idstring

The ID of the contract to delete

Response Body

curl -X DELETE "https://developer.taliware.com/api/v1/cl2c/contract/string"
{
  "message": "string",
  "deletedContract": {
    "id": "string",
    "name": "string"
  }
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
{
  "error": "string",
  "details": [
    "string"
  ]
}
Delete a contract